using UnityEngine;
using UnityEditor;
using System.Collections;

namespace Anima2D
{
	[CustomEditor(typeof(IkLimb2D))]
	public class IkLimb2DEditor : Ik2DEditor
	{
        SerializedProperty flipProp;

        override public void OnInspectorGUI()
		{
			base.OnInspectorGUI();

            flipProp = serializedObject.FindProperty("flip");

			serializedObject.Update();

			EditorGUI.BeginChangeCheck();
			EditorGUILayout.PropertyField(flipProp);
			if(EditorGUI.EndChangeCheck()){
				EditorUpdater.SetDirty("Flip");
			}

			serializedObject.ApplyModifiedProperties();
		}
	}
}
